Setup MFA
curl --request PATCH \
--url https://api.vidbeo.com/v2/users/{user_id}/mfa/confirm \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"mfa_code": "123456"
}
'import requests
url = "https://api.vidbeo.com/v2/users/{user_id}/mfa/confirm"
payload = { "mfa_code": "123456" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({mfa_code: '123456'})
};
fetch('https://api.vidbeo.com/v2/users/{user_id}/mfa/confirm', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"result": {
"success": "MFA has been enabled"
},
"links": {},
"errors": []
}{
"success": false,
"result": {},
"links": {},
"errors": [
{
"message": "Invalid data sent"
}
]
}{
"success": false,
"result": {},
"links": {},
"errors": [
{
"message": "Forbidden"
}
]
}{
"success": false,
"result": {},
"links": {},
"errors": [
{
"message": "Too many requests"
}
]
}{
"success": false,
"result": {},
"links": {},
"errors": [
{
"message": "Internal server error"
}
]
}Users
Setup MFA
Confirm the authenticator app is setup by providing a valid six-digit code
PATCH
/
users
/
{user_id}
/
mfa
/
confirm
Setup MFA
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
ID of the user
Example:
"abcde12345abcde12345a"
Body
application/json
Required string length:
6Example:
"123456"